summaryrefslogtreecommitdiffstats
path: root/libraries/ctemplate
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackware-id.org>2012-09-13 22:58:46 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-09-14 16:40:34 -0500
commit50759a095bd4ac68b008861180740aa813b3e2b7 (patch)
treea8b5fcfa82ad3c9ec398af5db293b1b7937dd288 /libraries/ctemplate
parent7ef361bf5353e31176ee92539c9b817e16aeac51 (diff)
downloadslackbuilds-50759a095bd4ac68b008861180740aa813b3e2b7.tar.gz
slackbuilds-50759a095bd4ac68b008861180740aa813b3e2b7.tar.xz
libraries/ctemplate: Added (template language for C++)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries/ctemplate')
-rw-r--r--libraries/ctemplate/README1
-rw-r--r--libraries/ctemplate/ctemplate.SlackBuild93
-rw-r--r--libraries/ctemplate/ctemplate.info10
-rw-r--r--libraries/ctemplate/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/libraries/ctemplate/README b/libraries/ctemplate/README
new file mode 100644
index 0000000000..f2db400815
--- /dev/null
+++ b/libraries/ctemplate/README
@@ -0,0 +1 @@
+CTemplate is a simple but powerful template language for C++.
diff --git a/libraries/ctemplate/ctemplate.SlackBuild b/libraries/ctemplate/ctemplate.SlackBuild
new file mode 100644
index 0000000000..231c44d4f0
--- /dev/null
+++ b/libraries/ctemplate/ctemplate.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for ctemplate
+
+# Copyright (C) 2012 Willy Sudiarto Raharjo <willysr@slackware-id.org> Indonesia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ctemplate
+VERSION=${VERSION:-2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make install-strip docdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/ctemplate/ctemplate.info b/libraries/ctemplate/ctemplate.info
new file mode 100644
index 0000000000..b2722f74ec
--- /dev/null
+++ b/libraries/ctemplate/ctemplate.info
@@ -0,0 +1,10 @@
+PRGNAM="ctemplate"
+VERSION="2.2"
+HOMEPAGE="http://code.google.com/p/ctemplate"
+DOWNLOAD="https://ctemplate.googlecode.com/files/ctemplate-2.2.tar.gz"
+MD5SUM="1de89d9073f473c1e31862c4581636f3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org"
diff --git a/libraries/ctemplate/slack-desc b/libraries/ctemplate/slack-desc
new file mode 100644
index 0000000000..43acb0a3ef
--- /dev/null
+++ b/libraries/ctemplate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ctemplate: Ctemplate (template language for C++)
+ctemplate:
+ctemplate: CTemplate is a simple but powerful template language for C++.
+ctemplate: It emphasizes separating logic from presentation: it is not
+ctemplate: possible to embed application logic in this template language.
+ctemplate:
+ctemplate: Homepage: http://code.google.com/p/ctemplate
+ctemplate:
+ctemplate:
+ctemplate:
+ctemplate: